Name:           zycore-c
Version:        1.4.1
Release:        %autorelease
Summary:        Internal library providing platform independent types, macros and a fallback for environments without LibC

License:        MIT
URL:            https://github.com/zyantific/zycore-c
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

ExcludeArch:    s390x

BuildRequires:  gcc gcc-c++
BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  doxygen

%description
%{summary}

%package        devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n zycore-c-%{version}

%build
%cmake \
    -DZYCORE_BUILD_SHARED_LIB=ON \
    -DZYCORE_BUILD_TESTS=ON \
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libZycore.so.1.4*
%{_datadir}/doc/Zycore

%files devel
%{_includedir}/Zycore/
%{_libdir}/cmake/zycore/
%{_libdir}/libZycore.so

%changelog
%autochangelog
